libmsn: MSN::ListSyncInfo Class Reference

libmsn 4.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
MSN::ListSyncInfo Class Reference

`#include <notificationserver.h>`

List of all members.

## Public Types
enum | SyncProgress { LST_AB = 1, LST_AL = 2, LST_BL = 4, LST_RL = 8, LST_PL = 16, COMPLETE_BLP = 32 }
enum | PrivacySetting { ALLOW = 'A', BLOCK = 'B' }
enum | NewReverseListEntryAction { PROMPT = 'A', DONT_PROMPT = 'N' }
## Public Member Functions
| ListSyncInfo (std::string lastChange_)
## Public Attributes
std::map< std::string, Buddy * > | contactList
std::string | myDisplayName
std::map< std::string, Group > | groups
unsigned int | progress
unsigned int | usersRemaining
unsigned int | groupsRemaining
std::string | lastChange
char | privacySetting
char | reverseListPrompting

## Detailed Description

Contains information about synchronising the contact list with the server.

## Member Enumeration Documentation

enum MSN::ListSyncInfo::NewReverseListEntryAction

Action to take when a new user appears on our reverse list.

enum MSN::ListSyncInfo::PrivacySetting

Treat unknown users as if appearing on this list when they attempt to initiate a switchboard session.

Enumerator:

  ALLOW | Any user can see our status, except those in Block List.
  BLOCK | Nobody can see our status, except those in Allow List.

enum MSN::ListSyncInfo::SyncProgress

Constants specifying the status of the list synchronisation.

Enumerator:

  LST_AB | Address book has been received.
  LST_AL | Allow list has been received.
  LST_BL | Block list has been received.
  LST_RL | Reverse list has been received.
  LST_PL | Pending list has been received.
  COMPLETE_BLP | `BLP` has been received.

## Member Data Documentation

std::map<std::string, Buddy *> MSN::ListSyncInfo::contactList

A list of people who's statuses we are wish to be notified about.

std::string MSN::ListSyncInfo::lastChange

Last change on Address Book and lists timestamp

char MSN::ListSyncInfo::privacySetting

Specifies the default list for non-buddies to be treated as appearing in when attempting to invite you into a switchboard setting.

This corresponds to the `BLP` command in the MSN protocol.

unsigned int MSN::ListSyncInfo::progress

The progress of the sync operation.

char MSN::ListSyncInfo::reverseListPrompting

Specifies whether the user should be prompted when a new buddy appears on their reverse list.

This corresponds to the `GTC` command in the MSN protocol.

The documentation for this class was generated from the following file:

- /home/salem/libmsn/tags/libmsn-4.2/msn/notificationserver.h

All Classes Namespaces Functions Variables Enumerations Enumerator